ApiHdfsReplicationArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHdfsReplicationArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHdfsReplicationArguments

- Direct Known Subclasses:
    ApiHdfsCloudReplicationArguments, ApiOzoneReplicationArguments

      @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHdfsReplicationArguments
      extends Object

  Replication arguments for HDFS.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHdfsReplicationArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHdfsReplicationArguments` | `abortOnError(Boolean abortOnError)`
    `ApiHdfsReplicationArguments` | `addExclusionFiltersItem(String exclusionFiltersItem)`
    `ApiHdfsReplicationArguments` | `bandwidthPerMap(BigDecimal bandwidthPerMap)`
    `ApiHdfsReplicationArguments` | `deleteLatestSourceSnapshotOnJobFailure(Boolean deleteLatestSourceSnapshotOnJobFailure)`
    `ApiHdfsReplicationArguments` | `destinationCloudAccount(String destinationCloudAccount)`
    `ApiHdfsReplicationArguments` | `destinationPath(String destinationPath)`
    `ApiHdfsReplicationArguments` | `dryRun(Boolean dryRun)`
    `boolean` | `equals(Object o)`
    `ApiHdfsReplicationArguments` | `exclusionFilters(List<String> exclusionFilters)`
    `BigDecimal` | `getBandwidthPerMap()` The maximum bandwidth (in MB) per mapper in the mapreduce replication job.
    `String` | `getDestinationCloudAccount()` The cloud account name which is used in direct hive cloud replication, if specified.
    `String` | `getDestinationPath()` The destination to replicate to.
    `List<String>` | `getExclusionFilters()` Specify regular expression strings to match full paths of files and directories matching source paths and exclude them from the replication.
    `String` | `getLogPath()` The HDFS path where the replication log files should be written to.
    `String` | `getMapreduceServiceName()` The mapreduce service to use for the replication job.
    `BigDecimal` | `getNumFetchThreads()` The number of threads to use for fetching the file statuses from HDFS during source file listing.
    `BigDecimal` | `getNumMaps()` The number of mappers to use for the mapreduce replication job.
    `ReplicationStrategy` | `getReplicationStrategy()` Get replicationStrategy
    `String` | `getSchedulerPoolName()` Name of the scheduler pool to use when submitting the MapReduce job.
    `String` | `getSourcePath()` The path to replicate.
    `ApiServiceRef` | `getSourceService()` Get sourceService
    `String` | `getSourceUser()` The user which will perform operations on source cluster.
    `String` | `getUserName()` The user which will execute the MapReduce job.
    `int` | `hashCode()`
    `Boolean` | `isAbortOnError()` Whether to abort on a replication failure.
    `Boolean` | `isDeleteLatestSourceSnapshotOnJobFailure()` A flag configuring distcp behaviour for the case when the distcp mapreduce job fails.
    `Boolean` | `isDryRun()` Whether to perform a dry run.
    `Boolean` | `isPreserveBlockSize()` Whether to preserve the HDFS block size.
    `Boolean` | `isPreservePermissions()` Whether to preserve the HDFS owner, group and permissions.
    `Boolean` | `isPreserveReplicationCount()` Whether to preserve the HDFS replication count.
    `Boolean` | `isPreserveXAttrs()` Whether to preserve XAttrs, default to false This is introduced in V10.
    `Boolean` | `isRaiseSnapshotDiffFailures()` Flag indicating if failures during snapshotDiff should be ignored or not.
    `Boolean` | `isRemoveMissingFiles()` Whether to delete destination files that are missing in source.
    `Boolean` | `isSkipChecksumChecks()` Whether to skip checksum based file validation during replication.
    `Boolean` | `isSkipListingChecksumChecks()` Whether to skip checksum based file comparison during replication.
    `Boolean` | `isSkipTrash()` Whether to permanently delete destination files that are missing in source.
    `ApiHdfsReplicationArguments` | `logPath(String logPath)`
    `ApiHdfsReplicationArguments` | `mapreduceServiceName(String mapreduceServiceName)`
    `ApiHdfsReplicationArguments` | `numFetchThreads(BigDecimal numFetchThreads)`
    `ApiHdfsReplicationArguments` | `numMaps(BigDecimal numMaps)`
    `ApiHdfsReplicationArguments` | `preserveBlockSize(Boolean preserveBlockSize)`
    `ApiHdfsReplicationArguments` | `preservePermissions(Boolean preservePermissions)`
    `ApiHdfsReplicationArguments` | `preserveReplicationCount(Boolean preserveReplicationCount)`
    `ApiHdfsReplicationArguments` | `preserveXAttrs(Boolean preserveXAttrs)`
    `ApiHdfsReplicationArguments` | `raiseSnapshotDiffFailures(Boolean raiseSnapshotDiffFailures)`
    `ApiHdfsReplicationArguments` | `removeMissingFiles(Boolean removeMissingFiles)`
    `ApiHdfsReplicationArguments` | `replicationStrategy(ReplicationStrategy replicationStrategy)`
    `ApiHdfsReplicationArguments` | `schedulerPoolName(String schedulerPoolName)`
    `void` | `setAbortOnError(Boolean abortOnError)`
    `void` | `setBandwidthPerMap(BigDecimal bandwidthPerMap)`
    `void` | `setDeleteLatestSourceSnapshotOnJobFailure(Boolean deleteLatestSourceSnapshotOnJobFailure)`
    `void` | `setDestinationCloudAccount(String destinationCloudAccount)`
    `void` | `setDestinationPath(String destinationPath)`
    `void` | `setDryRun(Boolean dryRun)`
    `void` | `setExclusionFilters(List<String> exclusionFilters)`
    `void` | `setLogPath(String logPath)`
    `void` | `setMapreduceServiceName(String mapreduceServiceName)`
    `void` | `setNumFetchThreads(BigDecimal numFetchThreads)`
    `void` | `setNumMaps(BigDecimal numMaps)`
    `void` | `setPreserveBlockSize(Boolean preserveBlockSize)`
    `void` | `setPreservePermissions(Boolean preservePermissions)`
    `void` | `setPreserveReplicationCount(Boolean preserveReplicationCount)`
    `void` | `setPreserveXAttrs(Boolean preserveXAttrs)`
    `void` | `setRaiseSnapshotDiffFailures(Boolean raiseSnapshotDiffFailures)`
    `void` | `setRemoveMissingFiles(Boolean removeMissingFiles)`
    `void` | `setReplicationStrategy(ReplicationStrategy replicationStrategy)`
    `void` | `setSchedulerPoolName(String schedulerPoolName)`
    `void` | `setSkipChecksumChecks(Boolean skipChecksumChecks)`
    `void` | `setSkipListingChecksumChecks(Boolean skipListingChecksumChecks)`
    `void` | `setSkipTrash(Boolean skipTrash)`
    `void` | `setSourcePath(String sourcePath)`
    `void` | `setSourceService(ApiServiceRef sourceService)`
    `void` | `setSourceUser(String sourceUser)`
    `void` | `setUserName(String userName)`
    `ApiHdfsReplicationArguments` | `skipChecksumChecks(Boolean skipChecksumChecks)`
    `ApiHdfsReplicationArguments` | `skipListingChecksumChecks(Boolean skipListingChecksumChecks)`
    `ApiHdfsReplicationArguments` | `skipTrash(Boolean skipTrash)`
    `ApiHdfsReplicationArguments` | `sourcePath(String sourcePath)`
    `ApiHdfsReplicationArguments` | `sourceService(ApiServiceRef sourceService)`
    `ApiHdfsReplicationArguments` | `sourceUser(String sourceUser)`
    `String` | `toString()`
    `ApiHdfsReplicationArguments` | `userName(String userName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHdfsReplicationArguments

          public ApiHdfsReplicationArguments()

  - ### Method Detail

    - #### sourceService

          public ApiHdfsReplicationArguments sourceService(ApiServiceRef sourceService)

    - #### getSourceService

          public ApiServiceRef getSourceService()

      Get sourceService
      Returns:
        sourceService

    - #### setSourceService

          public void setSourceService(ApiServiceRef sourceService)

    - #### sourcePath

          public ApiHdfsReplicationArguments sourcePath(String sourcePath)

    - #### getSourcePath

          public String getSourcePath()

      The path to replicate.
      Returns:
        sourcePath

    - #### setSourcePath

          public void setSourcePath(String sourcePath)

    - #### destinationPath

          public ApiHdfsReplicationArguments destinationPath(String destinationPath)

    - #### getDestinationPath

          public String getDestinationPath()

      The destination to replicate to.
      Returns:
        destinationPath

    - #### setDestinationPath

          public void setDestinationPath(String destinationPath)

    - #### mapreduceServiceName

          public ApiHdfsReplicationArguments mapreduceServiceName(String mapreduceServiceName)

    - #### getMapreduceServiceName

          public String getMapreduceServiceName()

      The mapreduce service to use for the replication job.
      Returns:
        mapreduceServiceName

    - #### setMapreduceServiceName

          public void setMapreduceServiceName(String mapreduceServiceName)

    - #### schedulerPoolName

          public ApiHdfsReplicationArguments schedulerPoolName(String schedulerPoolName)

    - #### getSchedulerPoolName

          public String getSchedulerPoolName()

      Name of the scheduler pool to use when submitting the MapReduce job. Currently supports the capacity and fair schedulers. The option is ignored if a different scheduler is configured.
      Returns:
        schedulerPoolName

    - #### setSchedulerPoolName

          public void setSchedulerPoolName(String schedulerPoolName)

    - #### userName

          public ApiHdfsReplicationArguments userName(String userName)

    - #### getUserName

          public String getUserName()

      The user which will execute the MapReduce job. Required if running with Kerberos enabled.
      Returns:
        userName

    - #### setUserName

          public void setUserName(String userName)

    - #### sourceUser

          public ApiHdfsReplicationArguments sourceUser(String sourceUser)

    - #### getSourceUser

          public String getSourceUser()

      The user which will perform operations on source cluster. Required if running with Kerberos enabled.
      Returns:
        sourceUser

    - #### setSourceUser

          public void setSourceUser(String sourceUser)

    - #### numMaps

          public ApiHdfsReplicationArguments numMaps(BigDecimal numMaps)

    - #### getNumMaps

          public BigDecimal getNumMaps()

      The number of mappers to use for the mapreduce replication job.
      Returns:
        numMaps

    - #### setNumMaps

          public void setNumMaps(BigDecimal numMaps)

    - #### dryRun

          public ApiHdfsReplicationArguments dryRun(Boolean dryRun)

    - #### isDryRun

          public Boolean isDryRun()

      Whether to perform a dry run. Defaults to false.
      Returns:
        dryRun

    - #### setDryRun

          public void setDryRun(Boolean dryRun)

    - #### bandwidthPerMap

          public ApiHdfsReplicationArguments bandwidthPerMap(BigDecimal bandwidthPerMap)

    - #### getBandwidthPerMap

          public BigDecimal getBandwidthPerMap()

      The maximum bandwidth (in MB) per mapper in the mapreduce replication job.
      Returns:
        bandwidthPerMap

    - #### setBandwidthPerMap

          public void setBandwidthPerMap(BigDecimal bandwidthPerMap)

    - #### abortOnError

          public ApiHdfsReplicationArguments abortOnError(Boolean abortOnError)

    - #### isAbortOnError

          public Boolean isAbortOnError()

      Whether to abort on a replication failure. Defaults to false.
      Returns:
        abortOnError

    - #### setAbortOnError

          public void setAbortOnError(Boolean abortOnError)

    - #### removeMissingFiles

          public ApiHdfsReplicationArguments removeMissingFiles(Boolean removeMissingFiles)

    - #### isRemoveMissingFiles

          public Boolean isRemoveMissingFiles()

      Whether to delete destination files that are missing in source. Defaults to false.
      Returns:
        removeMissingFiles

    - #### setRemoveMissingFiles

          public void setRemoveMissingFiles(Boolean removeMissingFiles)

    - #### preserveReplicationCount

          public ApiHdfsReplicationArguments preserveReplicationCount(Boolean preserveReplicationCount)

    - #### isPreserveReplicationCount

          public Boolean isPreserveReplicationCount()

      Whether to preserve the HDFS replication count. Defaults to false.
      Returns:
        preserveReplicationCount

    - #### setPreserveReplicationCount

          public void setPreserveReplicationCount(Boolean preserveReplicationCount)

    - #### preserveBlockSize

          public ApiHdfsReplicationArguments preserveBlockSize(Boolean preserveBlockSize)

    - #### isPreserveBlockSize

          public Boolean isPreserveBlockSize()

      Whether to preserve the HDFS block size. Defaults to false.
      Returns:
        preserveBlockSize

    - #### setPreserveBlockSize

          public void setPreserveBlockSize(Boolean preserveBlockSize)

    - #### preservePermissions

          public ApiHdfsReplicationArguments preservePermissions(Boolean preservePermissions)

    - #### isPreservePermissions

          public Boolean isPreservePermissions()

      Whether to preserve the HDFS owner, group and permissions. Defaults to false. Starting from V10, it also preserves ACLs. Defaults to null (no preserve). ACLs is preserved if both clusters enable ACL support, and replication ignores any ACL related failures.
      Returns:
        preservePermissions

    - #### setPreservePermissions

          public void setPreservePermissions(Boolean preservePermissions)

    - #### logPath

          public ApiHdfsReplicationArguments logPath(String logPath)

    - #### getLogPath

          public String getLogPath()

      The HDFS path where the replication log files should be written to.
      Returns:
        logPath

    - #### setLogPath

          public void setLogPath(String logPath)

    - #### skipChecksumChecks

          public ApiHdfsReplicationArguments skipChecksumChecks(Boolean skipChecksumChecks)

    - #### isSkipChecksumChecks

          public Boolean isSkipChecksumChecks()

      Whether to skip checksum based file validation during replication. Defaults to false.
      Returns:
        skipChecksumChecks

    - #### setSkipChecksumChecks

          public void setSkipChecksumChecks(Boolean skipChecksumChecks)

    - #### skipListingChecksumChecks

          public ApiHdfsReplicationArguments skipListingChecksumChecks(Boolean skipListingChecksumChecks)

    - #### isSkipListingChecksumChecks

          public Boolean isSkipListingChecksumChecks()

      Whether to skip checksum based file comparison during replication. Defaults to false.
      Returns:
        skipListingChecksumChecks

    - #### setSkipListingChecksumChecks

          public void setSkipListingChecksumChecks(Boolean skipListingChecksumChecks)

    - #### skipTrash

          public ApiHdfsReplicationArguments skipTrash(Boolean skipTrash)

    - #### isSkipTrash

          public Boolean isSkipTrash()

      Whether to permanently delete destination files that are missing in source. Defaults to null.
      Returns:
        skipTrash

    - #### setSkipTrash

          public void setSkipTrash(Boolean skipTrash)

    - #### replicationStrategy

          public ApiHdfsReplicationArguments replicationStrategy(ReplicationStrategy replicationStrategy)

    - #### getReplicationStrategy

          public ReplicationStrategy getReplicationStrategy()

      Get replicationStrategy
      Returns:
        replicationStrategy

    - #### setReplicationStrategy

          public void setReplicationStrategy(ReplicationStrategy replicationStrategy)

    - #### preserveXAttrs

          public ApiHdfsReplicationArguments preserveXAttrs(Boolean preserveXAttrs)

    - #### isPreserveXAttrs

          public Boolean isPreserveXAttrs()

      Whether to preserve XAttrs, default to false This is introduced in V10. To preserve XAttrs, both CDH versions should be >= 5.2. Replication fails if either cluster does not support XAttrs.
      Returns:
        preserveXAttrs

    - #### setPreserveXAttrs

          public void setPreserveXAttrs(Boolean preserveXAttrs)

    - #### exclusionFilters

          public ApiHdfsReplicationArguments exclusionFilters(List<String> exclusionFilters)

    - #### addExclusionFiltersItem

          public ApiHdfsReplicationArguments addExclusionFiltersItem(String exclusionFiltersItem)

    - #### getExclusionFilters

          public List<String> getExclusionFilters()

      Specify regular expression strings to match full paths of files and directories matching source paths and exclude them from the replication. Optional. Available since V11.
      Returns:
        exclusionFilters

    - #### setExclusionFilters

          public void setExclusionFilters(List<String> exclusionFilters)

    - #### raiseSnapshotDiffFailures

          public ApiHdfsReplicationArguments raiseSnapshotDiffFailures(Boolean raiseSnapshotDiffFailures)

    - #### isRaiseSnapshotDiffFailures

          public Boolean isRaiseSnapshotDiffFailures()

      Flag indicating if failures during snapshotDiff should be ignored or not. When it is set to false then, replication will fallback to full copy listing in case of any error in snapshot diff handling and it will ignore snapshot delete/rename failures at the end of a replication. The flag is by default set to false in distcp tool which means it will ignore snapshot diff failures and mark replication as success for snapshot delete/rename failures. In UI, the flag is set to true by default when source CM Version is greater than 5.14.
      Returns:
        raiseSnapshotDiffFailures

    - #### setRaiseSnapshotDiffFailures

          public void setRaiseSnapshotDiffFailures(Boolean raiseSnapshotDiffFailures)

    - #### deleteLatestSourceSnapshotOnJobFailure

          public ApiHdfsReplicationArguments deleteLatestSourceSnapshotOnJobFailure(Boolean deleteLatestSourceSnapshotOnJobFailure)

    - #### isDeleteLatestSourceSnapshotOnJobFailure

          public Boolean isDeleteLatestSourceSnapshotOnJobFailure()

      A flag configuring distcp behaviour for the case when the distcp mapreduce job fails. This failure is sometimes due to some issues with the snapshot. By default, in case of mapreduce job failure the latest source side snapshot is deleted. Set this flag to false to make this replication not delete the last successfully replicated old snapshot of the source dataset in case of job failure. The default value of this flag is true. Not setting this flag is equivalent to the value true.
      Returns:
        deleteLatestSourceSnapshotOnJobFailure

    - #### setDeleteLatestSourceSnapshotOnJobFailure

          public void setDeleteLatestSourceSnapshotOnJobFailure(Boolean deleteLatestSourceSnapshotOnJobFailure)

    - #### numFetchThreads

          public ApiHdfsReplicationArguments numFetchThreads(BigDecimal numFetchThreads)

    - #### getNumFetchThreads

          public BigDecimal getNumFetchThreads()

      The number of threads to use for fetching the file statuses from HDFS during source file listing. The value 0 means don't use parallel fetching. The null value means to use distcp defaults.
      Returns:
        numFetchThreads

    - #### setNumFetchThreads

          public void setNumFetchThreads(BigDecimal numFetchThreads)

    - #### destinationCloudAccount

          public ApiHdfsReplicationArguments destinationCloudAccount(String destinationCloudAccount)

    - #### getDestinationCloudAccount

          public String getDestinationCloudAccount()

      The cloud account name which is used in direct hive cloud replication, if specified.
      Returns:
        destinationCloudAccount

    - #### setDestinationCloudAccount

          public void setDestinationCloudAccount(String destinationCloudAccount)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.